Subject: bug#56327: Regression: openssh service fails to start if system has no IPv6

From: André Batista <[email-masked]>
Date: Fri, 1 Jul 2022 21:27:32 -0300

sex 01 jul 2022 às 23:56:17 (1656730577), [email-masked] enviou:
> I’ve fixed it slightly differently in commit
> bf7e07d299b197891110fbd8c717badbab06a472, to avoid a file descriptor
> leak.  Thanks!

Tremendous difference, I'd say, both for closing the socket and for
'consing' the single test condition instead of the cumbersome
repeated testing I had written. Thanks for lessoning me and for the
quick fix!

> Out of curiosity: I suppose you’re explicitly disabling IPv6 by using a
> custom kernel or with an activation snippet that fiddles with /proc or
> /sys, right?

I am building a custom minimal kernel with 'CONFIG_IPV6=n'.

Toutes mes amitiés!